petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCCompositeGetNumberPC

Gets the number of PC objects in the composite PC.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCCompositeGetNumberPC(PC pc,PetscInt *num)

Not Collective

### Input Parameter

pc -the preconditioner context

### Output Parameter

num -the number of sub pcs

### Keywords

PC, get, composite preconditioner, sub preconditioner

### See Also

PCCompositeGetPC()

Level:Developer
Location:src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages